package org.processmining.causalactivitymatrix.filters;

import org.deckfour.xes.model.XLog;
import org.deckfour.xes.model.XTrace;
import org.processmining.causalactivitymatrix.models.CausalActivityMatrix;

public interface CausalityBasedFilter {

	public XLog apply(XLog log, CausalActivityMatrix matrix, CausalityBasedFilterParameters parameters);
	
	public double getValue(XTrace trace, CausalActivityMatrix matrix, CausalityBasedFilterParameters parameters);
	
	public String getName();
}
